> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a dedicated account

> Retrieve a dedicated account



## OpenAPI

````yaml GET /v1/dedicated_accounts/{id}
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/dedicated_accounts/{id}:
    get:
      tags:
        - dedicated_accounts
      description: Retrieve a dedicated account
      parameters:
        - schema:
            type: string
            example: va_ff0c3z37zi40pvc82g74bgsm4q7fubbw
          required: true
          name: id
          in: path
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      responses:
        '200':
          description: Dedicated account retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  accountRequestCode:
                    type: string
                    nullable: true
                  customerId:
                    type: string
                    nullable: true
                  currency:
                    type: string
                    enum:
                      - NGN
                      - USD
                  accountNumber:
                    type: string
                  accountName:
                    type: string
                  bankName:
                    type: string
                  bankId:
                    type: string
                  acceptedAmountPolicy:
                    type: string
                    enum:
                      - ACCEPTED_AMOUNT_POLICY_FIXED
                      - ACCEPTED_AMOUNT_POLICY_ALLOW_PARTIAL
                      - ACCEPTED_AMOUNT_POLICY_ALLOW_EXCESS
                      - ACCEPTED_AMOUNT_POLICY_ALLOW_ANY
                  status:
                    type: string
                    enum:
                      - active
                      - expired
                      - no_post_no_debit
                  type:
                    type: string
                    enum:
                      - temporary_virtual_account
                      - dedicated_virtual_account
                      - invoice_payment_account
                      - dedicated_business_account
                      - virtual_terminal_account
                  liveMode:
                    type: boolean
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  bank:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      cbnCode:
                        type: string
                        nullable: true
                      nibssCode:
                        type: string
                        nullable: true
                    required:
                      - id
                      - name
                      - cbnCode
                      - nibssCode
                required:
                  - id
                  - accountRequestCode
                  - customerId
                  - currency
                  - accountNumber
                  - accountName
                  - bankName
                  - bankId
                  - acceptedAmountPolicy
                  - status
                  - type
                  - liveMode
                  - createdAt
                  - updatedAt
                  - bank

````